> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Make a version of a parameterized model its family's current one

> Make an older version current, until a newer version is saved.

The family's current version is what lists, pickers and lookups by name use.
Scoped like :func:`update_parameterized_model`.



## OpenAPI

````yaml https://api.ionworks.com/openapi.json post /cells/{cell_spec_id}/parameterized_models/{parameterized_model_id}/restore
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /cells/{cell_spec_id}/parameterized_models/{parameterized_model_id}/restore:
    post:
      tags:
        - parameterized_models
      summary: Make a version of a parameterized model its family's current one
      description: >-
        Make an older version current, until a newer version is saved.


        The family's current version is what lists, pickers and lookups by name
        use.

        Scoped like :func:`update_parameterized_model`.
      operationId: >-
        restore_parameterized_model_version_route_cells__cell_spec_id__parameterized_models__parameterized_model_id__restore_post
      parameters:
        - name: parameterized_model_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Parameterized Model Id
        - name: cell_spec_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Cell Spec Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.